# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		gpscorrelate
Summary:	GPS photo tagging application 
Version:	2.0
Release:	alt1_4
License:	GPLv2+
Group:		Graphics
URL:		https://dfandrich.github.io/gpscorrelate/
Source0:	https://github.com/dfandrich/gpscorrelate/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch0:		gpscorrelate-exiv2-0.28.patch
BuildRequires:	exiv2
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
Source44: import.info

%description
This program correlates digital camera photos with GPS data in GPX format.

%prep
%setup -q
%patch0 -p1


%build
%make_build LDFLAGS="%{?ldflags}" CFLAGS="%{optflags} -DENABLE_NLS" prefix=%{_prefix}
%make_build build-po prefix=%{_prefix}

%check
%make_build check

%install
%make_install DESTDIR=%buildroot install install install-po prefix=%{_prefix}
install -D -m 644 gpscorrelate-gui.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/gpscorrelate-gui.svg
sed -i -e 's/ *$//' gpscorrelate.desktop
install -D -m 644 gpscorrelate.desktop %{buildroot}%{_datadir}/applications/gpscorrelate.desktop
%find_lang %{name}

%files -f %{name}.lang
%doc COPYING AUTHORS RELEASES doc
%doc %{_docdir}/%{name}/*
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/applications/*
%{_iconsdir}/hicolor/scalable/apps/*


%changelog
* Wed Nov 22 2023 Igor Vlasenko <viy@altlinux.org> 2.0-alt1_4
- update

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 2.0-alt1_3
- update by mgaimport

* Thu Oct 08 2020 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_2
- autoimport

